# Get Forecast Irradiance

`GET /data/forecast/radiation_and_weather`

Get irradiance and weather forecasts for the requested location from the present up to 14 days ahead, derived from satellite (clouds and irradiance over non-polar continental areas, nowcast for approx. four hours ahead) and numerical weather models (other data and longer horizons).

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `latitude` | number (double) | yes | The latitude of the location you request data for. Must be a decimal number between -90 and 90. |
| `longitude` | number (double) | yes | The longitude of the location you request data for. Must be a decimal number between -180 and 180. |
| `hours` | integer (int32) | no | The number of hours to return in the response. |
| `period` | string | no | Length of the averaging period in ISO 8601 duration format. Default is PT30M. |
| `array_type` | string | no | The type of sun-tracking or geometry configuration of your site's modules. |
| `azimuth` | number (float) | no | The azimuth is defined as the angle (degrees) from true north that the PV system is facing. An azimuth of 0 means the system is facing true north. Positive values are anticlockwise, so azimuth is -90 for an east-facing system and 135 for a southwest-facing system. If you don't specify an azimuth, we use a default value of 0 (north facing) in the southern hemisphere and 180 (south-facing) in the northern hemisphere. |
| `format` | string | no | Response format. Default is HTML if not supplied. |
| `output_parameters` | string[] | no | The output parameters to include in the response. |
| `terrain_shading` | boolean | no | If true, irradiance parameters are modified based on the surrounding terrain from a 90m-horizontal-resolution digital elevation model. The direct component of irradiance is set to zero when the beam from the sun is blocked by the terrain. The diffuse component of irradiance is reduced throughout the day if the sky view at the location is significantly reduced by the surrounding terrain. Global irradiance incorporates both effects. |
| `tilt` | number (float) | no | The angle (degrees) that the PV system is tilted off the horizontal. A tilt of 0 means the system faces directly upwards, and 90 means the system is vertical and facing the horizon. If you don't specify tilt, we use a default tilt angle based on the latitude you specify in your request. Must be between 0 and 90. |

## Example request

### cURL

```bash
curl -X GET "https://api.solcast.com.au/data/forecast/radiation_and_weather?latitude=-33.8567&longitude=151.2152&output_parameters=air_temp,dni,ghi&hours=24&period=PT60M" \
  -H "Authorization: Bearer $API_KEY"
```

### Python

```python
import requests

params = {
    "output_parameters": "air_temp,dni,ghi",
    "latitude": "-33.8567",
    "longitude": "151.2152",
}

response = requests.get(
    "https://api.solcast.com.au/data/forecast/radiation_and_weather", params=params,
    headers={"Authorization": "Bearer API_KEY"},
)
data = response.json()
```

## Example response (200)

```json
{
  "forecasts": [
    {
      "air_temp": 13,
      "dni": 892,
      "ghi": 538,
      "period_end": "2026-07-30T01:00:00.0000000Z",
      "period": "PT60M"
    },
    {
      "air_temp": 14,
      "dni": 911,
      "ghi": 600,
      "period_end": "2026-07-30T02:00:00.0000000Z",
      "period": "PT60M"
    },
    {
      "air_temp": 14,
      "dni": 910,
      "ghi": 600,
      "period_end": "2026-07-30T03:00:00.0000000Z",
      "period": "PT60M"
    }
  ]
}
```

## Responses

### 200 — OK

Schema: `ForecastsDataResponse`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `forecasts` | object[] | no |  |

Source: /docs/section/irradiance-weather-data#getDataForecastRadiationAndWeather
